Quantcast
VGInterface.com
Search Downloads


Go Back   LoTROInterface > LotRO Tools & Utilities for Users

Category: LotRO Tools & Utilities for UsersLOTRO Plugin Compendium (Mac / Linux)
Interface Information
Download
How do I install this? (FAQ)
Name: LOTRO Plugin Compendium (Mac / Linux)   Popular!
Author:
Date: 10-20-2018 05:02 PM
Size: 14.51 MB
Version: 1.4
Rate File: 5 out of 5 with 1 votes  
Pictures
Click to enlarge 

Views: 0
Size: 73.64 Kb
Dimensions: 988 x 732
Example of LPC (java version) running in Windows and Linux
 
Click to enlarge 

Views: 0
Size: 112.73 Kb
Dimensions: 850 x 525
LPC on Mac
 
Description
Intended for Mac / Linux (for now)
For Windows go here

About

LOTRO Plugin Compendium (LPC) is a utility application to assist in installing and updating lotro LUA plugins. It attempts to take some of the leg work away from user having to manually download, create folders, and unzip download.

This is a platform independent version made available by request of the Mac and Linux crowd. Currently it has no installer, so while you could use it for windows, I would recommend you use the windows specific version http://www.lotrointerface.com/downloads/info663-LOTROPluginCompendium.html

Disclaimer
This application is an attempt to automate a manual process and help make things easier for LOTRO users. That said, if it does not work right, please report it below. I take no responsibility of it does not work on your PC or messes things up. I would, however, like to know about any problems you encounter so future versions can be fixed.

Known Issues
  • Please configure the Download Path on configuration panel for mac. It looks like mac might change the temp folder location. Since your settings are persisted and reloaded on startup, this is a bad thing if it goes away. I'd recommend setting to /tmp
  • Lack of Installer
  • in plugin description xml feed shows escaped characters.
  • Turbine Lotro Client seems to change the install location for Plugins. This can be configured by pointing the Install Path setting (on Configuration Tab) to something like
    ~/Library/Application Support/com.turbine.lotroclient/Plugins

Requirements
Java JRE/JDK 6+

Mac does not come with java by default. Please download http://www.oracle.com/technetwork/ja...s-2133155.html

Change Log

1.4
  • Fixed an issue with redirection of urls for api listing & downloads not being properly followed.
  • Fixed an encoding issue in detail pain for new addons
  • Updated compression library to latest as they discontinued older one used.

1.2
  • distribution for 1.2 was not properly updated.

1.2
  • fixed security issue preventing addins from being downloaded and installed
  • fix mac bug where many folders would get created if you manually typed in plugin path in configuration
  • added support for falling back to alternative rss data feed incase primary feeds go down again in future
  • fixed bug where prior version wasn't getting displayed correctly for plugins that were already installed.


1.1
  • fix mac bug where quitting application doesn't save settings
  • changed default download location for mac to /tmp
  • packaged java app as a mac application
  • made new higher rez icon for mac installer

1.0 Initial Release
Woohoo!
Archive List (Old Versions)
File Name
Version
Size
Author
Date
1.3
12.14 MB
lunarwtr
03-06-2016 12:17 PM
1.2
11.78 MB
lunarwtr
03-04-2016 10:51 PM
1.1
11.15 MB
lunarwtr
02-06-2012 10:59 PM
1.0
5.48 MB
lunarwtr
02-05-2012 05:52 PM
File Statistics
User Rating:
5 out of 5 with 1 votes
Downloads: 17127
Views: 97833
Favorites: 9
Uploaded By:
 
Last Modified: N/A

View Pictures. Download Now! Post A Comment


Post A Reply
Author Comments Comment Options
Unread 12-11-2018, 08:00 AM  
4andreas
The Wary
Interface Author - Click to view interfaces

Forum posts: 0
File comments: 8
Uploads: 1
The reason i ask, is because there is "Outdated LotRO Interfaces" category here, but there are some plugins there that are working perfectly fine, and also some that have not been updated for a while or not working, are not there.

It would be nice to be able to filter only 'working' plugins, but of course that would require community to flag them. Preferably dynamically.

There are also different levels of outdated. Some plugins are working completely fine, but have not been updated with the latest update data, some will not even load, some are pointless because of game changes, ...
4andreas is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 12-10-2018, 08:03 PM  
lunarwtr
The Undying
 
lunarwtr's Avatar
Interface Author - Click to view interfaces

Forum posts: 85
File comments: 262
Uploads: 7
Quote:
how do you determine which plugins are outdated, or what outdated means?
On a basic level, I like the idea of just adding additional ways a user can filter the UI to more easily find what they wish to install.

I agree that "outdated" might mean different things. I think the most helpful for users would be if LPC could idenify which ones no longer function upon installation.

I am unsure whether that is currently documented or flagged effectively on lotrointerface. This would involve the community identifying which addons work or don't work. For example we might, in the same manner LPC uses a feed to manage the plugin list, another feed could be used to track the list of non-working addons. Another is we could solicit lotrointerface to add that kind of feature / classification for admins to flag.
lunarwtr is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 12-09-2018, 08:54 AM  
4andreas
The Wary
Interface Author - Click to view interfaces

Forum posts: 0
File comments: 8
Uploads: 1
how do you determine which plugins are outdated, or what outdated means?
4andreas is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 12-08-2018, 04:37 PM  
lunarwtr
The Undying
 
lunarwtr's Avatar
Interface Author - Click to view interfaces

Forum posts: 85
File comments: 262
Uploads: 7
Re: Allowing to filter outdated

Quote:
Hey lunarwtr,

Is there any possibility to have a checkbox that allows hiding outdated plugins?

Cool app btw!
Sounds like a great enhancement!
lunarwtr is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 12-07-2018, 08:47 PM  
Therzok
The Wary

Forum posts: 0
File comments: 5
Uploads: 0
Allowing to filter outdated

Hey lunarwtr,

Is there any possibility to have a checkbox that allows hiding outdated plugins?

Cool app btw!
Therzok is online now Report comment to moderator   Reply With Quote Reply With Quote
Unread 10-20-2018, 05:04 PM  
lunarwtr
The Undying
 
lunarwtr's Avatar
Interface Author - Click to view interfaces

Forum posts: 85
File comments: 262
Uploads: 7
Re: Re: Re: Not retrieving plugin listing null

I submitted a new version for people to test.
lunarwtr is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 10-20-2018, 11:11 AM  
lunarwtr
The Undying
 
lunarwtr's Avatar
Interface Author - Click to view interfaces

Forum posts: 85
File comments: 262
Uploads: 7
Re: Re: Not retrieving plugin listing null

The problem is being caused by redirection of the plugin feed.

For now, please go to the "Configuration" tab, and change the "Plugin Feed Url"

from having http:// to https://

Then the problem should go away.
lunarwtr is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 10-20-2018, 09:52 AM  
lunarwtr
The Undying
 
lunarwtr's Avatar
Interface Author - Click to view interfaces

Forum posts: 85
File comments: 262
Uploads: 7
Re: Not retrieving plugin listing null

Quote:
Plugin compendium had been working fine. Now I'm getting an error:

Problem while retrieving plugin lising "null"

This is under OSX 10.13.6
Java Version 8 Update 181 (Build 1.8.0_1810b13)
Thank you for letting me know. I am getting the error as well on linux.
lunarwtr is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 10-19-2018, 08:06 PM  
magill
The Undying
 
magill's Avatar

Forum posts: 85
File comments: 165
Uploads: 0
Not retrieving plugin listing null

Plugin compendium had been working fine. Now I'm getting an error:

Problem while retrieving plugin lising "null"

This is under OSX 10.13.6
Java Version 8 Update 181 (Build 1.8.0_1810b13)
magill is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 10-15-2018, 03:21 PM  
biggmakk
The Wary

Forum posts: 0
File comments: 1
Uploads: 0
Re: Error?

You need to install the Java JRE. You can find it here: http://java.com
biggmakk is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 08-26-2018, 01:55 PM  
robbybobby82
The Wary

Forum posts: 0
File comments: 1
Uploads: 0
Error?

So I just tried downloading the latest version of the compendium for my mac (from what I can tell according to the dates time stamped on the file links) and I'm getting "JREloaderror" when attempting to open the file under the Mac folder. I am currently running Mac OS High Sierra version 10.13.6. Any help would be much appreciated!

P.S. I've also tried other versions just to see if those would work and I am being presented with the same error.
robbybobby82 is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 04-07-2018, 08:32 AM  
Calion
The Wary

Forum posts: 1
File comments: 7
Uploads: 0
I want to be able to use the Bootstrap menu to show/hide plugins after they have been launched. This works with PredictInGameTime, but not with LotroPad or Compendium. Is there a way for me to fix that?

Thanks!
Calion is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 04-01-2018, 11:36 AM  
Calion
The Wary

Forum posts: 1
File comments: 7
Uploads: 0
Re: Re: Not all plugins appear

Quote:
UI Skins are not supported, but plugins have to be explicity reviewed for compliance and added to the list. If I overlook and miss any, I rely on the community to give me a heads up. Thank you very much for informing me of UserChatter. It should now be added.
Thanks!

Last edited by Calion : 04-07-2018 at 08:29 AM.
Calion is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 04-01-2018, 11:32 AM  
lunarwtr
The Undying
 
lunarwtr's Avatar
Interface Author - Click to view interfaces

Forum posts: 85
File comments: 262
Uploads: 7
Re: Not all plugins appear

Quote:
I've noticed (in the Mac version) that some plugins are not accessible from within PluginCompendium. Specifically, UserChatter and Delving Hills. Is this deliberate for some reason, or is something going wrong?
UI Skins are not supported, but plugins have to be explicity reviewed for compliance and added to the list. If I overlook and miss any, I rely on the community to give me a heads up. Thank you very much for informing me of UserChatter. It should now be added.
lunarwtr is offline Report comment to moderator   Reply With Quote Reply With Quote
Unread 04-01-2018, 10:03 AM  
Calion
The Wary

Forum posts: 1
File comments: 7
Uploads: 0
Not all plugins appear

I've noticed (in the Mac version) that some plugins are not accessible from within PluginCompendium. Specifically, UserChatter and Delving Hills. Is this deliberate for some reason, or is something going wrong?
Calion is offline Report comment to moderator   Reply With Quote Reply With Quote
Post A Reply

 
Category Jump:
Search this Category:
 

All times are GMT -5. The time now is 08:20 PM.


Our Network
EQInterface | EQ2Interface | Minion | WoWInterface | VGInterface | LoTROInterface | MMOInterface | Swtorui